| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Classes | Static Public Member Functions | List of all members
IG.Lib.RegisterableExamples Class Reference

Contains examples od implementation of the IIdentifieble and IRegistrable interface. They utilize implementation of helper classes from this file.. More...

## Classes
class | ExampleIIdentifiable
| Example implementation of IIdentifiable interface. More...
class | ExampleIRegistrable
| Example implementation of IIdentifiable interface. More...

## Static Public Member Functions
static void | ExampleIdGenerator ()
| Example use of the IdGenerator class and its Proxy subclass to implement the IIdentifiable interface. More...
static void | ExampleRegistrable ()
| Example use of the IdGenerator class and its Proxy subclass to implement the IIdentifiable interface. More...

## Detailed Description

Contains examples od implementation of the IIdentifieble and IRegistrable interface. They utilize implementation of helper classes from this file..

## Member Function Documentation

static void IG.Lib.RegisterableExamples.ExampleIdGenerator | ( |  | ) |
| inline static

Example use of the IdGenerator class and its Proxy subclass to implement the IIdentifiable interface.

References IG.Lib.Util.CollectionToString().

static void IG.Lib.RegisterableExamples.ExampleRegistrable | ( |  | ) |
| inline static

Example use of the IdGenerator class and its Proxy subclass to implement the IIdentifiable interface.

References IG.Lib.Util.CollectionToString(), IG.Lib.RegisterableExamples.ExampleIRegistrable.ObjectRegister, IG.Lib.RegisterableExamples.ExampleIRegistrable.ToString(), and IG.Lib.RegisterableExamples.ExampleIRegistrable.Unregister().

The documentation for this class was generated from the following file:

- igbase/utilities/UtilIdRegistration.cs